# PMC_Learning_Materials
Awesome repo and tutorials for getting ready for Polkadot Metaverse Championship.

__Important note:__ code is not enough alone and a plan is also not enough alone. To build a successful web3 project, it needs to fit the target ecosystem, needs to be stable and secure while being usable, userfriendly. This will be reflected in the PMC hackathon's judging criterias as well. We will have an in-depth talk at the hackathon before the 24 hours hacking begins.

## Starter resources

| Project      | Link   |
|--------------|-----------|
| Developer friendly wallet for Substrate blockchains| https://polkadot.js.org/ |
| Build you own Substrate blockchain | https://docs.substrate.io/tutorials/get-started/build-local-blockchain/ |
| The Rust Book (before you code your first pallet) | https://doc.rust-lang.org/stable/book/ |
| Send extrinsics from code or cli | https://github.com/paritytech/subxt |
| Substrate frontend template (use this if you need a frontend connecting with PolkadotJS) | https://github.com/substrate-developer-hub/substrate-front-end-template |
| Build an NFT marketplace in an hour with Substrate | https://www.youtube.com/watch?v=7BNn47lfrV0 |
|ink! tutorial (solidity-like rust based smart contracts on top os Substrate) | https://docs.substrate.io/tutorials/smart-contracts/ |
| Write a custom pallet for Substrate | https://www.youtube.com/watch?v=o5ANk0sRxEY |
| Awesome Substrate | https://project-awesome.org/substrate-developer-hub/awesome-substrate |

## Tutorials for ecosystem project challenges

Use the following materials to educate yourself about the ecosystem projects present in the PMC hackathon. This helps you to prepare yourself for the main track challenges. You can also start building some topoligies or code skeletons for interacting with the projects.

| Project      | Link   |
|--------------|-----------|
| Unit Network learning materials | https://www.unit.network/learn.html |
| KILT 101 | https://kiltprotocol.github.io/kilt-workshop-101/#/ |
| RMRK - Learn about the specs | https://github.com/rmrk-team/rmrk-spec |
| Momentum - Explore Kusamaverse | https://odyssey.org/explore-momentum |
| CCTF blog - Learn about hacking web3 | https://cryptoctf.org/past-events/ |


## Advanced resources

| Title      | Link   |
|--------------|-----------|
| Hacking substrate with pallet chaos | https://qrucial.io/hacking-substrate-with-chaos-pallet/ |
| Security analysis framework for WASM and smart contracts | https://github.com/FuzzingLabs/octopus |
| Tool for hacking IBC | https://github.com/ComposableFi/ibctest |
| Auditing Rust Crypto, the first hours | https://research.kudelskisecurity.com/2019/02/07/auditing-rust-crypto-the-first-hours/ |
| The Evolution of Zero-Knowledge Proofs in Web3 | https://medium.com/manta-network/the-evolution-of-zero-knowledge-proofs-in-web3-b92a68c41c04 |